package main

import (
	"log/slog"

	"github.com/joint-online-judge/JOJ3/cmd/joj3/stage"
	"github.com/joint-online-judge/JOJ3/cmd/joj3/teapot"
)

func main() {
	// TODO: call stage-runner
	if err := stage.Run(); err != nil {
		slog.Error("stage runner error", "error", err)
	}
	// TODO: call joint-teapot
	if err := teapot.Run(); err != nil {
		slog.Error("teapot caller error", "error", err)
	}
}
